<?php 
require_once(dirname(dirname(__FILE__))."/funcoes.php");
protegeArquivo(basename(__FILE__));
loadJS('jquery-validate');
loadJS('jquery-validate-messages');
//echo "<br> Sistema lab. de solos";

$objetocalculo=new calculos();
$objetocalculoRaioX = new calculosFichaVirtual(); //calcula todos valores finais
$objetocalculo2017 = new calculos2017(); //calcula todos valores finais
$sessao = new sessao();
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
//$testeAdicional=$sessao->getVar('testeAdicionalGerminacao');
$testeAdicional="GE2";
$cliente=strtoupper($sessao->getVar('cliente' ) ?? "");
$finalidade=$sessao->getVar('finalidade');
$nomeOperador=$sessao->getVar('nomeuser');
$anoCorrente=$sessao->getVar('anocorrente');
$legendaRequerente=$sessao->getVar('controle2');
$anoAmostra=$anoCorrente;
$legendaGeral="Registro de amostra(Incluir,alterar,excluir,localizar) ".$legendaRequerente ;
//vai capturar a ida da ultima amostrs 
//quando ele entrar aqui ele ja vai ler o numero da amostra a partir de uma session 
//vai ter um modulo perfeito onde ele vai selecionar amostra
//prieira ultima segunte anterior, aleatoria ao localizar vai voltar para o edit trazendo o numero da amostra na session 







$amostraLong=$sessao->getVar('amostraLong');
//echo("Operador: $nomeOperador idlabo=$idLabo tela=$tela finalidade=$finalidade  Ano amostra=$anoAmostra<br>");
if($amostraLong>0)
{
	//echo "nao nulo<br>";
	$userAmostra = new amostras();
    $userAmostra->extras_select =  " where fic_id=".$amostraLong;
    $userAmostra->selecionaCampos($userAmostra);
    while ($resAmostra = $userAmostra->retornaDados()):
        $amostraLong=$resAmostra->fic_id;
        $idCultivar=$resAmostra->fic_cultivar;
        $idProdutor=$resAmostra->fic_produtor;
        $idAmostrador=$resAmostra->fic_amostrador;
        $ultima=$resAmostra->fic_amostra;
    endwhile;	
	//echo('passando na 38<br>');	
	$sessao->setVar('amostraLong', $amostraLong);
	$sessao->setVar('inicio', $ultima);
	$sessao->setVar('final', $ultima);
	//$sessao->setVar('idCultivar',$idCultivar);
	//$sessao->setVar('idProdutor',$idProdutor);
	//$sessao->setVar('idAmostrador',$idAmostrador);
	$sessao->setVar('ultima',$ultima);
	//$sessao->setVar('final',$ultima);//precisa isso pois ao voltar da gestao de fichas o intervalo fica memorizado na sessao
}
else
{
     $amostraLong=$objetocalculo->achaUltima();
	 //$idCultivar=$sessao->getVar($idCultivar);
	 //$idProdutor=$sessao->getVar($idProdutor);
	 //$idAmostrador=$sessao->getVar($idAmostrador);
}

	

//echo("Operador: $nomeOperador idlabo=$idLabo tela=$tela<br>");
switch ($tela):
case 'pesquisaFrame':
		if (post('alternar') !== ""):
    		if($finalidade=='PREVIA'):
  			   $finalidade='DEFINITIVA';
			else:
  			   $finalidade='PREVIA';
			endif;
			$sessao->SetVar('finalidade',$finalidade);
			$amostraLong=$objetocalculo->achaUltima();
		endif;

	
  //AQUI VAI ASSINALAR DIRETO TESTES A REALIZAR MODELO BARENBRUG-->
   //aqui cria um segundo vetor com mesmo tamanho do vetor de testes e que serve para armazenar no 
	$vetor[1]="PUR";
	$vetor[2]="DOS";
	$vetor[3]="OCV";
	$vetor[4]="PMS";
	$vetor[5]="DTU";
	$vetor[6]="GER";
	$vetor[7]="TZO";
	$vetor[8]="ARE";
	$vetor[9]="CAN";
	$quantosTestes=sizeof($vetor);
	//mesmo indice do vetor principal a palavra checked se o teste foi solicitado
	$user = new testesSolicitados();
	$user->extras_select = "where tes_ficha=".$amostraLong;
	$user->selecionaTudo($user);
	while ($res = $user->retornaDados()):
	    //para cada registro ele varre o array para ver o indice. quando encontra ele grava o valor no segundo vetor 
	    for($i=1;$i<=$quantosTestes;$i++)
		{
	        if($res->tes_teste==$vetor[$i]) $segundoVetor[$i]='checked';
			//echo  'kkk'. $res->tes_teste;
		}
	endwhile;  
 
 //AQUI VAI AVALIAR AMOSTRA
  //precisa capurar o binario mandando para a fucnao  $binario=$objetocalculoRX->padrao2016($amostraLong);
  //NA REALIDADE SAO QUATRO POSSIBILIDADE
  //1=NAO TEM PADROA  2= NAO FEZ O TESTE   3-FOI APROVADO   4=  FOR REPROVADO
  $binario=$objetocalculoRaioX->padrao2016_GERMINACAO_G1_G2($amostraLong);
  $aprovadoG1=" ";
  $aprovadoG2=" ";
  if(substr($binario,0,1)=='1') $aprovadoG1="N";//REprovado
  if(substr($binario,0,1)=='0') $aprovadoG1="S";//REprovado
  $aprovadoG2=" ";
  if(substr($binario,1,1)=='1') $aprovadoG2="N";//REprovado
  if(substr($binario,1,1)=='0') $aprovadoG2="S";//REprovado

  //precisa salvar o binario no campo proprio
  //$sql="update ficha set fic_binario='$binario' where fic_id=".$amostraLong;
  //$userNota = new generica();
  //$userNota->campos_valores = $sql;				 
  //$userNota->inserirEspecial($userNota);
 
 
 
 
    
#####################################################################################################
//ASSOCIADAS LISTA DE REMETENTE, CULTIVAR E AMOSTRADOR
$testeAdicional='GE2';


//NAVEGADOR##################################################
			$acao="nenhuma";
		    if (post('acharDigitada') !== "" || post('acharAvanca') !== ""  || post('acharRecua') !== "" || post('acharUltima') !== ""):
				$sessao->setVar('controle',0);
			   	$registro=post('amostra');//se clica em achar digitada ja pega daqui
              	if(post('acharAvanca') !== "")$acao='avanca';
              	if(post('acharRecua') !== "")$acao='recua';
              	if(post('acharUltima') !== "")$acao='ultima';
	            $amostraLong=$objetocalculo->AchaIdAmostra2016($registro,$acao);
				//$sessao->setVar('amostraLong',$amostraLong);
		   endif;//fecha o if que acha ammostras pelo avanca-recua ou ultima

		 
		 //CAPTURA O VETOR RAIO X OU SEJA OS DADOS DA CLASSE calculosFichaVirtual.class.php funcao capturageralraiox
	   	 $vetorRaioX=$objetocalculoRaioX->capturaGeralRaioX($amostraLong); 
         $reanLongGE=$vetorRaioX[134];	
         $reanLong=$vetorRaioX[62];	
		 $dataGeral=date("d/m/Y",strtotime($vetorRaioX[39]));
		 $dataFinal=$vetorRaioX[93];
		 $duracao=$vetorRaioX[37];
		 $observacoes=$vetorRaioX[150];
	   	//$vetorLeiturasGerminacao=$objetocalculoRaioX->leiturasGerminacao($reanLong); 
         //captura dados da germinacao padrao
	   	 $vetorLeiturasGerminacaoBIDI=$objetocalculoRaioX->leiturasGerminacaoBIDI($reanLong); 
         //captura leituras germinacao teste adicional
		 //so vai pegar dados se tiver o valor do idrean
		 if($reanLongGE>0):
		     $vetorLeiturasGerminacaoGEBIDI=$objetocalculoRaioX->leiturasGerminacaoBIDI($reanLongGE); 
         endif; 		 


       	 $dataGeralGE=date("d/m/Y",strtotime($vetorRaioX[126]));		 
	     $temperaturaGE=$vetorRaioX[122];

    //aqui ele vai colocar 0 em todos os campos que estiver em branco
         for($i=1;$i<20;$i++):
		      for($j=1;$j<=16;$j++):
		        if($vetorLeiturasGerminacaoBIDI[$i][$j]=="")$vetorLeiturasGerminacaoBIDI[$i][$j]='-'; //leituras teste parao
		        if($vetorLeiturasGerminacaoGEBIDI[$i][$j]=="")$vetorLeiturasGerminacaoGEBIDI[$i][$j]='-';//leituras teste adicional
			  endfor; 	
		 endfor;
		 
		 
		 
		     
	//vai testar se marcou teste de germinacao 
	if($segundoVetor[6]!='checked'):
         //matriz germinacao padrao
         for($i=1;$i<20;$i++):
		      for($j=1;$j<=16;$j++):
		        $vetorLeiturasGerminacaoBIDI[$i][$j]='-N-'; //leituras teste parao
		        $vetorLeiturasGerminacaoGEBIDI[$i][$j]='-N-';//leituras teste adicional
			  endfor; 	
		 endfor;	       
//ZERA OD TOTAIS
      for($j=1;$j<=16;$j++):
        $vetorLeiturasGerminacaoGEBIDI[25][$j]='-N-';//leituras teste adicional
        $vetorLeiturasGerminacaoGEBIDI[26][$j]='-N-';//leituras teste adicional
        $vetorLeiturasGerminacaoGEBIDI[27][$j]='-N-';//leituras teste adicional
        $vetorLeiturasGerminacaoGEBIDI[28][$j]='-N-';//leituras teste adicional
        $vetorLeiturasGerminacaoGEBIDI[29][$j]='-N-';//leituras teste adicional
        $vetorLeiturasGerminacaoGEBIDI[30][$j]='-N-';//leituras teste adicional
        $vetorLeiturasGerminacaoBIDI[25][$j]='-N-';//leituras teste 
        $vetorLeiturasGerminacaoBIDI[26][$j]='-N-';//leituras teste 
        $vetorLeiturasGerminacaoBIDI[27][$j]='-N-';//leituras teste 
        $vetorLeiturasGerminacaoBIDI[28][$j]='-N-';//leituras teste 
        $vetorLeiturasGerminacaoBIDI[29][$j]='-N-';//leituras teste 
        $vetorLeiturasGerminacaoBIDI[30][$j]='-N-';//leituras teste 
	  endfor; 	




         //dados gerais teste padrao 
		 $dataGeral='-N-';
		 $dataFinal='-N-';
		 $duracao='-N-';
		 $observacoes='-N-';
         $vetorRaioX[35]='-N-';//tempeatura
         $vetorRaioX[36]='-N-';
         $vetorRaioX[38]='-N-';
         $vetorRaioX[61]='-N-';
         $vetorRaioX[138]='-N-';
         $vetorRaioX[141]='-N-';
         $vetorRaioX[139]='-N-';
         $vetorRaioX[142]='-N-';
         $vetorRaioX[140]='-N-';
         $vetorRaioX[143]='-N-';
         $vetorRaioX[211]='-N-';
		 $vetorRaioX[93]='-N-';
         $vetorRaioX[123]='-N-';
         $vetorRaioX[125]='-N-';
         $vetorRaioX[128]='-N-';
         $vetorRaioX[134]='-N-';
         $vetorRaioX[129]='-N-';
         $vetorRaioX[130]='-N-';
         $vetorRaioX[136]='-N-';
         $vetorRaioX[135]='-N-';
         $vetorRaioX[133]='-N-';
         $vetorRaioX[132]='-N-';
         $vetorRaioX[137]='-N-';
         $vetorRaioX[126]='-N-';
         $vetorRaioX[151]='-N-';
         $vetorRaioX[124]='-N-';
         $vetorRaioX[123]='-N-';
         $vetorRaioX[123]='-N-';
         $vetorRaioX[213]='-N-';
		 $dataGeralGE='-N-';
		 $temperaturaGE='-N-';
         $vetorRaioX[144]='-N-';//data
         $vetorRaioX[147]='-N-';//analista
         $vetorRaioX[145]='-N-';//data
         $vetorRaioX[148]='-N-';//analista
         $vetorRaioX[146]='-N-';//data
         $vetorRaioX[149]='-N-';//analista
		 $vetorRaioX[14]='-N-';//normais
		 $vetorRaioX[64]='-N-';//anormais
		 $vetorRaioX[67]='-N-';//dormente
		 $vetorRaioX[66]='-N-';//duras
		 $vetorRaioX[99]='-N-';//infec
		 $vetorRaioX[66]='-N-';//mortas
		 $vetorRaioX[14]='-N-';//normais
         //AQUI  GERMINACAO GE2    
	     $vetorRaioX[123]='-N-';//$substratoGE=
	     $vetorRaioX[125]='-N-';//$germinadorGE
	     $vetorRaioX[128]='-N-';//$tratamentoGE=
	     $vetorRaioX[134]='-N-';//$reanLongGE=
		 $vetorRaioX[129]='-N-';//$normaisGE=
		 $vetorRaioX[130]='-N-';//$anormaisGE=
		 $vetorRaioX[136]='-N-';//$dormentesGE=
		 $vetorRaioX[135]='-N-';//$durasGE=
		 $vetorRaioX[133]='-N-';//$infecionadasGE=
		 $vetorRaioX[132]='-N-';//$mortasGE=
		 $vetorRaioX[137]='-N-';//$dataFinalGE=
		 $vetorRaioX[151]='-N-';//$observacoesGE=
		 $vetorRaioX[124]='-N-';//$duracaoGE=
	endif;//testa se marcou germinacao


	     $largura=10;
	     $altura=10;			
         //calcula impurezas
         $impureza=$vetorRaioX[23]+$vetorRaioX[24];//soma impurezas
         $pesoFinal=$vetorRaioX[23]+$vetorRaioX[24]+$vetorRaioX[22];//peso final(os+mi+pu)
         $difAT_PF=$vetorRaioX[21]-$pesoFinal;//diferenca AT-PF
	
	if (post('bt_imprimeFichaPreenchida') !== "" || post('bt_imprimeFichaConvencional') !== ""):
	   	//if(post('bt_abreOESP') !== "") $sessao->setVar('controle',"E");
	   	//if(post('bt_abreSILV') !== "")  $sessao->setVar('controle',"S");
	   	//if(post('bt_abreNOCT') !== "")  $sessao->setVar('controle',"T");
	   	//if(post('bt_abreNOCP') !== "")  $sessao->setVar('controle',"P");
	    //echo("Lista de outras especies contaminantes<br>");
	 	print("<SCRIPT LANGUAGE='JavaScript'>
          window.open('imprimeFichaBAREN2017Germinacao.php','','width=930,height=500,left=200,top=200');
		</script>");
	endif;
	
	?>
<!--
<div id="scroll">-->


		<!--esta parte é para abrir popup-->
		<script type="text/javascript">
			
			function abrirJanela(pagina, largura, altura) {
			 // Definindo centro da tela
			 var esquerda = (screen.width - largura)/2;
			 var topo = (screen.height - altura)/3;

			 // Abre a nova janela
			 minhaJanela = window.open(pagina,'','height=' + altura + ', width=' + largura + ', top=' + topo + ', left=' + esquerda);
			}
			
			</script>
		<!--fim da abertura de popup-->


	
    <form class="userform" method="POST" action=""   >

<!--aqui cham o UNS LINKS QUE PEGEUI DE EXEMPLO
<a href="#" onclick="javascript:abrirJanela('http://www.google.com.br', 400, 700);">Google</a><br />
 <a href="#" onclick="javascript:abrirJanela('http://www.uebihost.com.br', 600, 450);">Serviço de Hospedagem de Sites</a>
-->

<!--ate aqui chamou o bde-->
<?php   
if($mataCelulas!="SIM"):
?>





<!--numero protocolo//-->	
	<div id="boxL0a">
	 <input type="text"  style="height: 12px"  name="amostra" size="5" value="<?php echo $vetorRaioX[119];?>" />
     <?php echo " / ". $vetorRaioX[120];?>
	</div>	
	
<!--botoes localicacao//-->	
	<div id="boxL1a">
     <input type="submit" name="acharRecua" value="<" />
     <input type="submit" name="acharAvanca" value=">" />
     <input type="submit" name="acharUltima" value=">|" />
	</div>	
	

	<!--lote-->	
	<div id="boxL0b">
    Lote<?php echo $vetorRaioX[9] ;?>
 	</div>	
	<!--recebida em-->	
	<div id="boxL0c">
	Recebida em:<?php echo $vetorRaioX[8]; ?>
    
	</div>	

 <div id="boxL2a">
<?php if($finalidade=='PREVIA'):
	    ?>
	    <input type="submit" name="alternar"   style="font-size: 80%"  style="font-family:Arial" style="height: 12px"   value="Acessar definitivas" />
	    <?php
    else:  
        ?>
        <input type="submit" name="alternar"    style="font-size: 80%"  style="font-family:Arial" style="height: 12px" value="Acessar previas" />
 		<?php
	endif;  
	?>
    </div>

  	<!--bas e data BOLETIM-->	
	<div id="boxL10x">
    <?php
		$data_BAS=$vetorRaioX[3]; 
	    $numero=substr($data_BAS,10);
		$numero='Boletim:'.substr($data_BAS,10);
	    $ano=substr($data_BAS,6,4);
		echo $numero.'/'.$ano;
	?>
	</div>	 

  	<!--informe e data-->	
	<div id="boxL11x">
    <?php
		$data_INFORME=$vetorRaioX[4]; 
	    $numero=substr($data_INFORME,10);
		$numero='Informe:'.substr($data_INFORME,10);
	    $ano=substr($data_INFORME,6,4);
		echo $numero.'/'.$ano;
	?>
	</div>	 
  	<!--ID ANOSTRA AMOSTRANONG-->	
	<div id="boxL12x">
    <?php
	    $numero=substr($data_INFORME,10);
		echo 'ID FICHA:'.$amostraLong;
	?>
	</div>	 





<!--GER1#########################GERMINACAO TESTE PADRAO######################-->
<!--GER1#########################GERMINACAO TESTE PADRAO######################-->
<!--GER1#########################GERMINACAO TESTE PADRAO######################-->
<!--GER1#########################GERMINACAO TESTE PADRAO######################-->
<!--GER1#########################GERMINACAO TESTE PADRAO######################-->
<!--GER1#########################GERMINACAO TESTE PADRAO######################-->
<!--GER1#########################GERMINACAO TESTE PADRAO######################-->
<!--GER1#########################GERMINACAO TESTE PADRAO######################-->
<!--GER1#########################GERMINACAO TESTE PADRAO######################-->

    <!--botao SALVA TESTE GERMINACAO PRINCIPAL-->
	<div id="boxL1b">
       <a href="?m=germ2017&t=editar&teste=GERM"   id="meulink" >GERM</a></a>
	</div>	

	<!--SETOR DE LEITURAS DE GERMINACAO PADRAO -->
	<div id="boxL3c"><!--SETOR germinacao normais-->
	<table id="tabelaGerminacao">
	
	<!--vai jogar as 4 linhas-->
	<?php 
	$colunas=4;
    $linhas=4;
	$iFixo=1;
    //AQUI IMPRIME SO A S NORMAIS
    $comeco=1;//as nomais vao da linha 1 ate 4 e o total de normais esta na linha 25 da bidi 
    $linhas=4;//era 3
	$fim=$comeco+$linhas;
	for($i=$comeco;$i<$fim;$i++):
	  echo"<tr>";
	   	for($j=1;$j<=$colunas;$j++):
	      echo "<td>".$vetorLeiturasGerminacaoBIDI[$i][$j]."</td>"; 
	    endfor;
	  echo"</tr>";
    endfor;
    //mostra soma das normais
	$i=25;
    echo"<tr>";
   	for($j=1;$j<=$colunas;$j++):
	  if($segundoVetor[6]!='checked'):
         echo "<td>-N-</td>"; 
      else:
         echo "<td>".$vetorLeiturasGerminacaoBIDI[$i][$j]."</td>"; 
	  endif;	 
    endfor;
	echo"</tr>";
	?>
	</table>
	</div>


	<div id="boxL10c"><!--SETOR germinacao Anormais DEFORMADAS-->
	<table id="tabelaGerminacao">
	<!--vai jogar as linhas-->
	<?php 
	$colunas=4;
	$linhas=4;
    //vetor que vai somar e depois colocar na linha de totais
  	$vetorSomas = array(1=>0,2=>0,3=>0,4=>0,5=>0,6=>0,7=>0,8=>0);
	$comeco=5;//este valor é fixo para anormais DEFORMADAS
	$fim=$comeco+$linhas;
	for($i=$comeco;$i< $fim;$i++):
	  echo"<tr>";
    	for($j=1;$j<=$colunas;$j++):
		  $indice=$i.$j;//linha e coluna concatenados 
		  echo "<td>".$vetorLeiturasGerminacaoBIDI[$i][$j]."</td>"; 
	      //$vetorSomas[$j]+=$vetorLeiturasGerminacaoBIDI[$i][$j];
		  if($segundoVetor[6]!='checked')$vetorSomas[$j]='-N-';
	    endfor;
	  echo"</tr>";
    endfor; 
    //joga na linha seguinte o total	
	echo"<tr>";
	
   	for($j=1;$j<=$colunas;$j++):
	  //echo "<td>".$vetorSomas[$j]. "</td>"; 
	  echo "<td>".$vetorLeiturasGerminacaoBIDI[26][$j]. "</td>"; 
    endfor;
	echo"</tr>";
	?>
	</table>
	</div>
	
    <!--SETOR germinacao Anormais INFECCIONADAS  teste padrao-->	
	<div id="boxL19c"><!--SETOR germinacao Anormais INFECCIONADAS-->
	<table id="tabelaGerminacao">
	<!--vai jogar as linhas-->
	<?php 
	$colunas=4;
    //vetor que vai somar e depois colocar na linha de totais
	$vetorSomas = array(1=>0,2=>0,3=>0,4=>0,5=>0,6=>0,7=>0,8=>0);
	//cada cliente tem umnimero de linhas predefinidas
	$linhas=4;
	$comeco=9;//este valor é fixo para anormais INFECCIONADAS
	$fim=$comeco+$linhas;
	for($i=$comeco;$i< $fim;$i++):
	  echo"<tr>";
    	for($j=1;$j<=$colunas;$j++):
		  $indice=$i.$j;//linha e coluna concatenados 
		  echo "<td>".$vetorLeiturasGerminacaoBIDI[$i][$j]."</td>"; 
	      //$vetorSomas[$j]+=$vetorLeiturasGerminacaoBIDI[$i][$j];
		  if($segundoVetor[6]!='checked')$vetorSomas[$j]='-N-';
	    endfor;
	  echo"</tr>";
    endfor; 
    //joga na linha seguinte o total	
	///////////////////
	
	////////////////
	
	
	
	echo"<tr>";
   	for($j=1;$j<=$colunas;$j++):
	  echo "<td>".$vetorLeiturasGerminacaoBIDI[27][$j]. "</td>"; 
    endfor;
	echo"</tr>";
	?>
	</table>
	</div>

	
	

	<div id="boxL32c"><!--SETOR germinacao duras-->
	<table id="tabelaGerminacao">
	<!--vai jogar as 4 linhas-->
	<?php 
	$colunas=4;
 	$linhas=1;
	$vetorSomas = array(1=>0,2=>0,3=>0,4=>0,5=>0,6=>0,7=>0,8=>0);
	//cada cliente tem umnimero de linhas predefinidas
	$comeco=14;//este valor é fixo para anormais INFECCIONADAS
	$fim=$comeco+$linhas;
	for($i=$comeco;$i< $fim;$i++):
	  echo"<tr>";
    	for($j=1;$j<=$colunas;$j++):
		  $indice=$i.$j;//linha e coluna concatenados 
		  echo "<td>".$vetorLeiturasGerminacaoBIDI[$i][$j]."</td>"; 
	      $vetorSomas[$j]+=$vetorLeiturasGerminacaoBIDI[$i][$j];
		  if($segundoVetor[6]!='checked')$vetorSomas[$j]='-N-';
	    endfor;
	  echo"</tr>";
    endfor; 
	
    //joga na linha seguinte o total	
   //BAREN NAO TEM LINHA DE TOTAL DE DURAS
	?>
	</table>
	</div>

	<div id="boxL29c"><!--SETOR germinacao DORMENTES-->
	<table id="tabelaGerminacao">
	<!--vai jogar as 4 linhas-->
	<?php 
	$colunas=4;
	$vetorSomas = array(1=>0,2=>0,3=>0,4=>0,5=>0,6=>0,7=>0,8=>0);
	//cada cliente tem umnimero de linhas predefinidas
    $linhas=1;
	$comeco=15;//este valor é fixo para anormais INFECCIONADAS
	$fim=$comeco+$linhas;
	for($i=$comeco;$i< $fim;$i++):
	  echo"<tr>";
    	for($j=1;$j<=$colunas;$j++):
		  $indice=$i.$j;//linha e coluna concatenados 
		  echo "<td>".$vetorLeiturasGerminacaoBIDI[$i][$j]."</td>"; 
	      $vetorSomas[$j]+=$vetorLeiturasGerminacaoBIDI[$i][$j];
		  if($segundoVetor[6]!='checked')$vetorSomas[$j]='-N-';
	    endfor;
	  echo"</tr>";
    endfor; 
    //joga na linha seguinte o total	
 
	?>
	</table>
	</div>







	<div id="boxL25c"><!--SETOR germinacao mortas-->
	<table id="tabelaGerminacao">
	<!--vai jogar as 4 linhas-->
	<?php 
	$colunas=4;
	$vetorSomas = array(1=>0,2=>0,3=>0,4=>0,5=>0,6=>0,7=>0,8=>0);
	//cada cliente tem umnimero de linhas predefinidas
	$linhas=1;
	$comeco=13;//este valor é fixo para anormais INFECCIONADAS
	$fim=$comeco+$linhas;
	for($i=$comeco;$i< $fim;$i++):
	  echo"<tr>";
    	for($j=1;$j<=$colunas;$j++):
		  $indice=$i.$j;//linha e coluna concatenados 
		  echo "<td>".$vetorLeiturasGerminacaoBIDI[$i][$j]."</td>"; 
	      $vetorSomas[$j]+=$vetorLeiturasGerminacaoBIDI[$i][$j];
		  if($segundoVetor[6]!='checked'):
		      $vetorSomas[$j]='-N-';
	      endif;		  
	    endfor;
	  echo"</tr>";
    endfor; 
    //joga na linha seguinte o total	
    //se for dimicron coloca uma linha em branco
 	?>
	</table>
	</div>




	<!--PARAMETROS OU CONDIÇÕES  DO TESTE padrao GERMINACAO REALIZADO-->
	<!--teste padrao germinacao  data semeadura-->	
	<div id="boxL7a"> 
	<?php echo $dataFinal;?>
   	</div>	

	<!--teste padrao germinacao  data teste-->	
	<div id="boxL8a"> 
	<?php echo $dataGeral;?>
   	</div>	

	<!--teste padrao germinacao  duracao do teste-->	
	<div id="boxL9a"> 
	<?php echo $duracao;?>
   	</div>	
	<!--teste padrao germinacao  observacoes do teste-->	
	<div id="boxL15a"> 
	<?php echo $observacoes;?>
   	</div>	



	<!--teste padrao germinacao  temperatura-->	
	<div id="boxL6a">

	<?php echo $vetorRaioX[35];?>
   	</div>	
	<!--teste padrao germinacao  substrato-->	
	<div id="boxL5a">
	<?php echo $vetorRaioX[36];?>
	</div>	

	<!--teste padrao germinacao  germinador-->	
	<div id="boxL3a">
	<?php echo $vetorRaioX[38];?>
	</div>	
	<!--teste padrao germinacao  tratamento-->	
	<div id="boxL4a">
	<?php echo $vetorRaioX[61];?>
	</div>	
   
	<!--barenbrug tem 4 datas de leituras-->
	<!--teste padrao germinacao  data primeira leitura primeiro analista-->	
	<div id="boxL11a">
    <?php echo $vetorRaioX[138];?>
	</div>	
	<div id="boxL11b">
    <?php echo $vetorRaioX[141];?>
	</div>	
	<!--teste padrao germinacao  data segunda leitura segundo analista-->	
	<div id="boxL12a">
    <?php echo $vetorRaioX[139];?>
	</div>	
	<div id="boxL12b">
    <?php echo  $vetorRaioX[142];?>
	</div>	
	<!--teste padrao germinacao  data terceira leitura terceiro analista-->	
	<div id="boxL13a">
    <?php echo $vetorRaioX[140];?>
	</div>	
	<div id="boxL13b">
    <?php echo $vetorRaioX[143];?>
	</div>	
	
	

	<!--RESULTADOSteste padrao germinacao  % de normais-->	
	<!--RESULTADOSteste padrao germinacao  % de normais barembrug resumo embaixo da tela(resumo)-->	
	<div id="boxL35c">
    <?php echo $vetorRaioX[14];?>
	</div>	
 
	<div id="boxL9c">
    <?php echo $vetorRaioX[14];?>
	</div>	


	<!--teste padrao germinacao  % de anormais  ou deformadas-->	
	<div id="boxL18c">
    <?php 
	   if($vetorRaioX[64]>0):
	     echo $vetorRaioX[64]-$vetorRaioX[99];
	   else:
	     echo $vetorRaioX[64];
	   endif;
	?>
	</div>
	
	<!--teste padrao germinacao  % de infecionadas-->	
	<div id="boxL24c">
    <?php echo $vetorRaioX[99];?>
	</div>	

	<!--SE FOR SEMENTE REVESTICA ELE DEVE COLOCAR -N- em duras e dormentes-->
    <?php
    $valorBene=$vetorRaioX[118];
    if($valorBene=='6'):
      $vetorRaioX[66]='-N-';
      $vetorRaioX[67]='-N-';
    endif;
    ?> 
	<!--teste padrao germinacao  % de duras-->	
	<div id="boxL31c">
    <?php echo $vetorRaioX[67];?>
	</div>	
	<!--teste padrao germinacao  % de dormentes-->	
	<div id="boxL34c">
    <?php echo $vetorRaioX[66];?>
	</div>	


	<!--teste padrao germinacao  % de mortas-->	
	<div id="boxL27c">
    <?php
	  if($segundoVetor[6]=='checked'):
	  	 echo $vetorRaioX[65];
	  else:
	     echo "-N-";
	  endif;
	 ?>
	</div>	

	<!--teste padrao valor PH-->	
	<div id="boxL5b">
	<?php echo $vetorRaioX[211];?>
   	</div>	




<!--GER2#####################################################################################################-->
<!--////////////////SEGUNDO TESTE DE GERMINACAO QUE PODE SER FRIO, EAC,///////////////////////////////-->
<!--#######ADICIONAL#############ADICIONAL##############ADICIONAL###############ADICIONAL################-->
<!--#######ADICIONAL#############ADICIONAL##############ADICIONAL###############ADICIONAL################-->
<!--#######ADICIONAL#############ADICIONAL##############ADICIONAL###############ADICIONAL################-->
<!--#######ADICIONAL#############ADICIONAL##############ADICIONAL###############ADICIONAL################-->
<!--#######ADICIONAL#############ADICIONAL##############ADICIONAL###############ADICIONAL################-->
<!--#######ADICIONAL#############ADICIONAL##############ADICIONAL###############ADICIONAL################-->
<!--#######ADICIONAL#############ADICIONAL##############ADICIONAL###############ADICIONAL################-->
<!--SETOR DE LEITURAS DE GERMINACAO ADICIONAL -->

	<!--teste padrao germinacao  link para g2-->	
	<div id="boxL1c">
		<a href="?m=germ2017&t=editar&teste=GE2"         id="meulink" >GE2  </a>
	</div>	



   
	<div id="boxL3d"><!--SETOR germinacao normais-->
	<table id="tabelaGerminacao">
	
	<!--vai jogar as 4 linhas-->
	<?php 
	$colunas=4;
    $linhas=4;
	$iFixo=1;
    //AQUI IMPRIME SO A S NORMAIS
    $comeco=1;//as nomais vao da linha 1 ate 4 e o total de normais esta na linha 25 da bidi 

	$fim=$comeco+$linhas;
	for($i=$comeco;$i<$fim;$i++):
	  echo"<tr>";
	   	for($j=1;$j<=$colunas;$j++):
	      echo "<td>".$vetorLeiturasGerminacaoGEBIDI[$i][$j]."</td>"; 
	    endfor;
	  echo"</tr>";
    endfor;
    //mostra soma das normais
	$i=25;
    echo "<tr>";
	//echo "<td>  </td>"; 
    echo "</tr>";

	
    echo"<tr>";
   	for($j=1;$j<=$colunas;$j++):
		if($segundoVetor[6]=='checked'):
	      echo "<td>".$vetorLeiturasGerminacaoGEBIDI[$i][$j]."</td>"; 
		else:  
	      echo "<td>-N-</td>"; 
		endif;
	endfor;
	echo"</tr>";
	?>
	</table>
	</div>


	<div id="boxL10d"><!--SETOR germinacao Anormais DEFORMADAS-->
	<table id="tabelaGerminacao">
	<!--vai jogar as linhas-->
	<?php 
	$colunas=4;
	$linhas=4;
    //vetor que vai somar e depois colocar na linha de totais
  	$vetorSomas = array(1=>0,2=>0,3=>0,4=>0,5=>0,6=>0,7=>0,8=>0);
	$comeco=5;//este valor é fixo para anormais DEFORMADAS
	$fim=$comeco+$linhas;
    for($j=1;$j<=$colunas;$j++):
	  $vetorSomas[$j]='-'; 
    endfor;  	
	for($i=$comeco;$i< $fim;$i++):
	  echo"<tr>";
    	for($j=1;$j<=$colunas;$j++):
		  $indice=$i.$j;//linha e coluna concatenados 
		  echo "<td>".$vetorLeiturasGerminacaoGEBIDI[$i][$j]."</td>"; 
	      //$vetorSomas[$j]+=$vetorLeiturasGerminacaoGEBIDI[$i][$j];
	      //$vetorSomas[$j]=$reanLongGE;
	      if($segundoVetor[6]!='checked')$vetorSomas[$j]='-N-';
    endfor;
	  echo"</tr>";
    endfor; 
    //joga na linha seguinte o total	
	echo"<tr>";
   	for($j=1;$j<=$colunas;$j++):
	  echo "<td>".$vetorLeiturasGerminacaoGEBIDI[26][$j]. "</td>"; 
    endfor;
	echo"</tr>";
	?>
	</table>
	</div>
	
    <!--SETOR germinacao Anormais INFECCIONADAS-->	
	<div id="boxL19d"><!--SETOR germinacao Anormais INFECCIONADAS-->
	<table id="tabelaGerminacao">
	<!--vai jogar as linhas-->
	<?php 
	$colunas=4;
	$linhas=4;
    //vetor que vai somar e depois colocar na linha de totais
	$vetorSomas = array(1=>0,2=>0,3=>0,4=>0,5=>0,6=>0,7=>0,8=>0);
	$comeco=9;//este valor é fixo para anormais INFECCIONADAS
	$fim=$comeco+$linhas;
	for($i=$comeco;$i< $fim;$i++):
	  echo"<tr>";
    	for($j=1;$j<=$colunas;$j++):
		  $indice=$i.$j;//linha e coluna concatenados 
		  echo "<td>".$vetorLeiturasGerminacaoGEBIDI[$i][$j]."</td>"; 
	      //$vetorSomas[$j]+=$vetorLeiturasGerminacaoGEBIDI[$i][$j];
	      if($segundoVetor[6]!='checked')$vetorSomas[$j]='-N-';
	    endfor;
	  echo"</tr>";
    endfor; 
    //joga na linha seguinte o total	
	echo"<tr>";
   	for($j=1;$j<=$colunas;$j++):
	  echo "<td>".$vetorLeiturasGerminacaoGEBIDI[27][$j]. "</td>"; 
    endfor;
	echo"</tr>";
	?>
	</table>
	</div>

	
	

	<div id="boxL32d"><!--SETOR germinacao duras-->
	<table id="tabelaGerminacao">
	<!--vai jogar as 4 linhas-->
	<?php 
	$colunas=4;
    $linhas=1;
	$vetorSomas = array(1=>0,2=>0,3=>0,4=>0,5=>0,6=>0,7=>0,8=>0);
	//cada cliente tem umnimero de linhas predefinidas
	$comeco=14;//este valor é fixo para anormais INFECCIONADAS
	$fim=$comeco+$linhas;
	for($i=$comeco;$i< $fim;$i++):
	  echo"<tr>";
    	for($j=1;$j<=$colunas;$j++):
		  $indice=$i.$j;//linha e coluna concatenados 
		  echo "<td>".$vetorLeiturasGerminacaoGEBIDI[$i][$j]."</td>"; 
	      $vetorSomas[$j]+=$vetorLeiturasGerminacaoGEBIDI[$i][$j];
	      if($segundoVetor[6]!='checked')$vetorSomas[$j]='-N-';
	    endfor;
	  echo"</tr>";
    endfor; 
	
    //joga na linha seguinte o total	
 
   //BAREN NAO TEM LINHA DE TOTAL DE DURAS
  
	?>
	</table>
	</div>

	<div id="boxL29d"><!--SETOR germinacao DORMENTES-->
	<table id="tabelaGerminacao">
	<!--vai jogar as 4 linhas-->
	<?php 
	$colunas=4;
    $linhas=1;
	$vetorSomas = array(1=>0,2=>0,3=>0,4=>0,5=>0,6=>0,7=>0,8=>0);
	//cada cliente tem umnimero de linhas predefinidas
	$comeco=15;//este valor é fixo para anormais INFECCIONADAS
	$fim=$comeco+$linhas;
	for($i=$comeco;$i< $fim;$i++):
	  echo"<tr>";
    	for($j=1;$j<=$colunas;$j++):
		  $indice=$i.$j;//linha e coluna concatenados 
		  echo "<td>".$vetorLeiturasGerminacaoGEBIDI[$i][$j]."</td>"; 
	      $vetorSomas[$j]+=$vetorLeiturasGerminacaoGEBIDI[$i][$j];
	      if($segundoVetor[6]!='checked')$vetorSomas[$j]='-N-';
	    endfor;
	  echo"</tr>";
    endfor; 
    //joga na linha seguinte o total	
    //se for dimicron coloca uma linha em branco
	?>
	</table>
	</div>
	<div id="boxL25d"><!--SETOR germinacao mortas-->
	<table id="tabelaGerminacao">
	<!--vai jogar as 4 linhas-->
	<?php 
	$colunas=4;
	$vetorSomas = array(1=>0,2=>0,3=>0,4=>0,5=>0,6=>0,7=>0,8=>0);
	//cada cliente tem umnimero de linhas predefinidas
	$linhas=1;
	$comeco=13;//este valor é fixo para anormais INFECCIONADAS
	$fim=$comeco+$linhas;
	for($i=$comeco;$i< $fim;$i++):
	  echo"<tr>";
    	for($j=1;$j<=$colunas;$j++):
		  $indice=$i.$j;//linha e coluna concatenados 
		  echo "<td>".$vetorLeiturasGerminacaoGEBIDI[$i][$j]."</td>"; 
	      $vetorSomas[$j]+=$vetorLeiturasGerminacaoGEBIDI[$i][$j];
	      if($segundoVetor[6]!='checked')$vetorSomas[$j]='-N-';
	    endfor;
	  echo"</tr>";
    endfor; 
    //joga na linha seguinte o total	
  	?>
	</table>
	</div>


	<!--PARAMETROS OU CONDIÇÕES  DO TESTE ADICIONAL GERMINACAO REALIZADO-->

	<!--teste ADICIONAL germinacao  temperatura-->	
	<div id="boxL22a">
	<?php echo $temperaturaGE;?>
   	</div>	

	<!--teste ADICIONAL germinacao  substrato-->	
	<div id="boxL21a">
	<?php echo $vetorRaioX[123];?>
	</div>	

	<!--teste ADICIONAL germinacao  germinador-->	
	<div id="boxL19a">
	<?php echo $vetorRaioX[125];?>
	</div>	

	<!--teste ADICIONAL germinacao  tratamento-->	
	<div id="boxL20a">
	<?php echo $vetorRaioX[128];?>
	</div>	

	<!--teste ADICIONAL germinacao  data final teste analista-->	
	<div id="boxL23a"> 
    <?php echo  $vetorRaioX[137];?>
	
   	</div>	

	<div id="boxL24a">
	<?php echo $dataGeralGE;?>
	</div>	



	<!--teste GE2 germinacao  duracao do teste-->	
	<div id="boxL25a"> 
	<?php echo $vetorRaioX[124];?>
   	</div>	
	<!--teste GE2 germinacao  observacoes do teste-->	
	<div id="boxL31a"> 
	<?php echo 	$vetorRaioX[151];?>
   	</div>	
	<!--teste padrao valor PH teste adicional ge2-->	
	<div id="boxL21b">
	<?php echo $vetorRaioX[213];?>
   	</div>	

	
	
	<!--barenbrug tem 4 datas de leituras-->
	<!--teste GE2 germinacao  data primeira leitura primeiro analista-->	
	<div id="boxL27a">
    <?php echo $vetorRaioX[144];?>
	</div>	
	<div id="boxL27b">
    <?php echo $vetorRaioX[147];?>
	</div>	


	<!--teste GE2 germinacao  data segunda leitura segundo analista-->	
	<div id="boxL28a">
    <?php echo $vetorRaioX[145];?>
	</div>	
	<div id="boxL28b">
    <?php echo $vetorRaioX[148];?>
	</div>	
	<!--teste GE2 germinacao  data terceira leitura terceiro analista-->	
	<div id="boxL29a">
    <?php echo $vetorRaioX[146];?>
	</div>	
	<div id="boxL29b">
    <?php echo $vetorRaioX[149];?>
	</div>	

	
	

    <!--PERCENTAGENS###########################################-->
	<!--RESULTADOSteste ADICIONAL germinacao  % de normais-->	
	<div id="boxL9d">
    <?php echo $vetorRaioX[129];?>
	</div>	

	<!--RESULTADOSteste ADICIONAL germinacao  % de normais barenbrug resumo embaixo-->	
	<div id="boxL35d">
	   <?php echo $vetorRaioX[129];?>
	</div>	

   <!--aqui voloca se esta reprovado ou aprovado de acordo com padrao de germinacao
   NETE LOCAL LIDA COM OS DOIS BOX DE ASSINALAAMENTO PARA CONCENTRAR O TEMA NUM SO LUGAR  -->
	<?php
 
	?>
	<div id="boxL35cgs">
	  <?php if($aprovadoG1=='S') echo 'X';?>
	</div>	
	<div id="boxL35cgn">
	  <?php if($aprovadoG1=='N') echo 'X';?>
	</div>	
	<div id="boxL35egs">
	  <?php if($aprovadoG2=='S') echo 'X';?>
	</div>	
	<div id="boxL35egn">
	  <?php if($aprovadoG2=='N') echo 'X';?>
	</div>	
	
	<!--teste ADICIONAL germinacao  % de anormais  ou deformadas    if($segundoVetor[6]!='checked')-->	
	
	<div id="boxL17d">	
    <?php 
     //echo $vetorRaioX[130]-$vetorRaioX[133];
     if($vetorRaioX[130]>0):
        echo $vetorRaioX[130]-$vetorRaioX[133];
	 else:
	    echo $vetorRaioX[130];
	 endif;
	  
	  
    ?>
	</div>
	
	<!--teste ADICIONAL germinacao  % de infecionadas-->	
	<div id="boxL24d">
    <?php echo $vetorRaioX[133];?>
	</div>	
	<!--SE FOR SEMENTE REVESTICA ELE DEVE COLOCAR -N- em duras e dormentes-->
    <?php
    $valorBene=$vetorRaioX[118];
    if($valorBene=='6'):
      $vetorRaioX[135]='-N-';
      $vetorRaioX[136]='-N-';
    endif;
    ?> 	
	<!--teste ADICIONAL germinacao  % de duras-->	
	<div id="boxL34d">
    <?php echo $vetorRaioX[135];?>
	</div>	
	
	<!--teste ADICIONAL germinacao  % de dormentes-->	
	<div id="boxL31d">
    <?php echo $vetorRaioX[136];?>
	</div>	

	<!--teste ADICIONAL germinacao  % de mortas-->	
	<div id="boxL28d">	
    <?php echo $vetorRaioX[132];?>
	</div>



<!--################FINAL DE GERMINACAO ADICIONAL################################################-->
   
	<!--setror teste de tetrrazoldio estulo barenbrug-->
		<div id="boxL36a">
			<a href="?m=tetrazolioEstiloBarenTZF&t=editarTZF" id="meulink">TETRAZÓLIO</a>	
	</div>	


<?php
	$concatenado1= $vetorRaioX[207];
	$concatenado2= $vetorRaioX[208];
	$concatenado3= $vetorRaioX[209];
	$concatenado4= $vetorRaioX[210];
    list($c1,$c2,$c3,$c4,$c5,$c6,$c7,$c8,$c9,$c10)= explode("]", $concatenado1);
	list($c11,$c12,$c13,$c14,$c15,$c16,$c17,$c18,$c19,$c20)= explode("]", $concatenado2);
	list($c21,$c22,$c23,$c24,$c25,$c26,$c27,$c28,$c29,$c30)= explode("]", $concatenado3);
	list($c31,$c32,$c33,$c34,$c35,$c36,$c37,$c38,$c39,$c40,$c41,$solucao)= explode("]", $concatenado4);
    //o campo media 400 sementes é preenchido da seguinte forma:
	//se o calculo é de 400 sementes entao vai a media das sementes viaveis (campos c27 e c28)
	//se o calculo é de 200 sementes entao vai -N-
	$media400='-N-';
	if($vetorRaioX[203]=='400'):
	    $media400=round(($c27+$c28)/2).'%';
	endif;
    if($segundoVetor[6]!='checked')$media400='-N-';

	
	//se nao fez tetrazolio entao marca tudo com -N-
	if($segundoVetor[7]!='checked'):
       $solucao='-N-';
       $c1=$c2=$c3=$c4=$c5=$c6=$c7=$c8=$c9=$c10 ='-N-'; 
       $c11=$c12=$c13=$c14=$c15=$c16=$c17=$c18=$c19=$c20 ='-N-'; 
       $c21=$c22=$c23=$c24=$c25=$c26=$c27=$c28=$c29=$c30 ='-N-'; 
       $c31=$c32=$c33=$c34=$c35=$c37=$c39=$c40=$c41 ='-N-'; 
       $c36=''; 
	   $vetorRaioX[212]='-N-';//analista
	   $vetorRaioX[205]='-N-';//data
	   $vetorRaioX[203]='-N-';//numero sementes
    endif;
    //$c36='S';


?>
    <!--campo numero sementes-->
	<div id="boxL37a">
	<?php echo $vetorRaioX[203]; ?>
	</div>
    <!--campo solucao-->
	<div id="boxL37b">
	<?php echo $solucao; ?>
	</div>

    <!--campo media400-->
	<div id="boxL37c">
	<?php echo $media400 ; ?>
	</div>


    <!--LINHA38A-->
	<div id="boxL38a">
	<?php echo $c1; ?>
	</div>
    <!--LINHA38b-->
	<div id="boxL38b">
	<?php echo $c2; ?>
	</div>

    <!--LINHA38c-->
	<div id="boxL38c">
	
	<?php echo $c40; ?>
	</div>
    <!--LINHA38d-->
	<div id="boxL38d">
	
	<?php echo $c41; ?>
	</div>




    <!--PRIMEIRA LINHA--> 
	<div id="boxL39a">
	<?php echo $c3; ?>
	</div>
	<div id="boxL39b">
	<?php echo $c4; ?>
	</div>
	<div id="boxL39c">
	<?php echo $c5; ?>
	</div>
	<div id="boxL39d">
	<?php echo $c6; ?>
	</div>
	<div id="boxL39e">
	<?php echo $c7; ?>
	</div>
	<div id="boxL39f">
	<?php echo $c8; ?>
	</div>
	<div id="boxL39g">
	<?php echo $c9; ?>
	</div>
	<div id="boxL39h">
	
	<?php echo $c11; ?>
	</div>
	<div id="boxL39i">
	
	<?php echo $c12; ?>
	</div>
	
	
	
	
    <!--SEGUNDA LINHA--> 
	<div id="boxL40a">
	<?php echo $c13; ?>
	</div>
	<div id="boxL40b">
	<?php echo $c14; ?>
	</div>
	<div id="boxL40c">
	<?php echo $c15; ?>
	</div>
	<div id="boxL40d">
	<?php echo $c16; ?>
	</div>
	<div id="boxL40e">
	<?php echo $c17; ?>
	</div>

	<div id="boxL40f">
	<?php echo $c18; ?>
	</div>
	<div id="boxL40g">
	<?php echo $c19; ?>
	</div>
	
	<div id="boxL40h">
	<?php echo $c20; ?>
	</div>
	<div id="boxL40i">
	<?php echo $c21 ?>
	</div>





  <!--terceira linha--> 
	<div id="boxL42a">
	<?php echo $c22; ?>
	</div>
	<div id="boxL42b">
	<?php echo $c23; ?>
	</div>
	<div id="boxL42c">
	<?php echo $c24; ?>
	</div>
	<div id="boxL42d">
	<?php echo $c25; ?>
	</div>
	<div id="boxL42e">
	<?php echo $c26; ?>
	</div>
	<div id="boxL42f">
	<?php echo $c27; ?>
	</div>
	<div id="boxL42g">
	<?php echo $c28; ?>
	</div>
	<!--ras tz =sim-->
	<div id="boxL42h"> 
      <?php
	  if($c36=='S') echo 'X';
	  ?>
	</div>

  <!--QUARTA LINHA--> 
	<div id="boxL43a">
	<?php echo $c29; ?>
	</div>
	<div id="boxL43b">
	<?php echo $c30; ?>
	</div>
	<div id="boxL43c">
	<?php echo $c31;?>
	</div>
	<div id="boxL43d">
	<?php echo $c32; ?>
	</div>
	<div id="boxL43e">
	<?php echo $c33; ?>
	</div>
	<div id="boxL43f">

	<?php echo $c34; ?>
	</div>
	<div id="boxL43g">

	<?php echo $c35;?>
	</div>

	<div id="boxL43h">
      <?php
	  if($c36=='N') echo 'X';
	  ?>
	</div>

<!--LINHA44 ANALISTA E DATA-->	
	<div id="boxL44a">
	<?php echo $vetorRaioX[212]; ?>
	</div>
	<div id="boxL44b">
	<?php echo $vetorRaioX[205]; ?>
	</div>
	
    




	
	
<!--este mata celulas esconde todos dados colocados sobre a imagem da ficha
para que nao aparecam no fundo das listas associadas algun label ou rotulo-->	
<?php
 endif;//TESTA O CAMPO MATACELULAS
?>

	
   <!--BOTOES A DIREITA-->
	<div id="boxL3x">
	<table>
    <tr>
	<td>
	<input type="submit" name="bt_imprimeFichaPreenchida"  value="Ficha preenchida" /><?php echo $reanLongGE;?>
	</td> 
	</tr> 
    <tr>
	<td>
	
	<input type="submit" name="bt_imprimeFichaConvencional"  value="Ficha convencional" />
	</td> 
	</tr> 
	</table>
	</div>


	
	
	<input type="hidden" name="reanLong"  value="<?php echo $reanLong;?>" />
	<input type="hidden" name="reanLongGE"  value="<?php echo $reanLongGE;?>" />
	<!--</div>esta div fecha a div scroll-->	
	</form> 
    <?php 		 
    break;

 


	default:
		  echo '<p>A tela solicitada não existe.</p>';
		break;
endswitch;
?>